using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace MiddleTier
{
	public class MT_Params : System.Windows.Forms.Form
	{
		#region Construction
		private System.Windows.Forms.GroupBox gbParams;
		private System.Windows.Forms.Label lblFolder;
		private System.Windows.Forms.Button btFolder;
		private System.Windows.Forms.Button Cancel;
		private System.Windows.Forms.Button btOK;
		private System.Windows.Forms.Label lblF;
		private System.Windows.Forms.CheckBox cbOverwrite;
		private System.ComponentModel.Container components = null;

		public MT_Params()
		{
			InitializeComponent();
			lblFolder.Text = System.Environment.GetFolderPath( System.Environment.SpecialFolder.Personal );
		}

		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.gbParams = new System.Windows.Forms.GroupBox();
			this.cbOverwrite = new System.Windows.Forms.CheckBox();
			this.btFolder = new System.Windows.Forms.Button();
			this.lblFolder = new System.Windows.Forms.Label();
			this.lblF = new System.Windows.Forms.Label();
			this.Cancel = new System.Windows.Forms.Button();
			this.btOK = new System.Windows.Forms.Button();
			this.gbParams.SuspendLayout();
			this.SuspendLayout();
			// 
			// gbParams
			// 
			this.gbParams.Controls.Add(this.cbOverwrite);
			this.gbParams.Controls.Add(this.btFolder);
			this.gbParams.Controls.Add(this.lblFolder);
			this.gbParams.Controls.Add(this.lblF);
			this.gbParams.Location = new System.Drawing.Point(8, 8);
			this.gbParams.Name = "gbParams";
			this.gbParams.Size = new System.Drawing.Size(412, 76);
			this.gbParams.TabIndex = 0;
			this.gbParams.TabStop = false;
			// 
			// cbOverwrite
			// 
			this.cbOverwrite.Checked = true;
			this.cbOverwrite.CheckState = System.Windows.Forms.CheckState.Checked;
			this.cbOverwrite.Location = new System.Drawing.Point(8, 48);
			this.cbOverwrite.Name = "cbOverwrite";
			this.cbOverwrite.Size = new System.Drawing.Size(220, 20);
			this.cbOverwrite.TabIndex = 5;
			this.cbOverwrite.Text = "Overwrite files";
			this.cbOverwrite.CheckedChanged += new System.EventHandler(this.cbOverwrite_CheckedChanged);
			// 
			// btFolder
			// 
			this.btFolder.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
			this.btFolder.Location = new System.Drawing.Point(380, 20);
			this.btFolder.Name = "btFolder";
			this.btFolder.Size = new System.Drawing.Size(20, 20);
			this.btFolder.TabIndex = 4;
			this.btFolder.Text = "..";
			this.btFolder.Click += new System.EventHandler(this.btFolder_Click);
			// 
			// lblFolder
			// 
			this.lblFolder.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.lblFolder.Location = new System.Drawing.Point(88, 20);
			this.lblFolder.Name = "lblFolder";
			this.lblFolder.Size = new System.Drawing.Size(292, 20);
			this.lblFolder.TabIndex = 3;
			this.lblFolder.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblF
			// 
			this.lblF.Location = new System.Drawing.Point(8, 24);
			this.lblF.Name = "lblF";
			this.lblF.Size = new System.Drawing.Size(76, 16);
			this.lblF.TabIndex = 2;
			this.lblF.Text = "Folder:";
			// 
			// Cancel
			// 
			this.Cancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.Cancel.Location = new System.Drawing.Point(328, 88);
			this.Cancel.Name = "Cancel";
			this.Cancel.Size = new System.Drawing.Size(88, 24);
			this.Cancel.TabIndex = 4;
			this.Cancel.Text = "Cancel";
			// 
			// btOK
			// 
			this.btOK.Location = new System.Drawing.Point(8, 88);
			this.btOK.Name = "btOK";
			this.btOK.Size = new System.Drawing.Size(88, 24);
			this.btOK.TabIndex = 3;
			this.btOK.Text = "OK";
			this.btOK.Click += new System.EventHandler(this.btOK_Click);
			// 
			// MT_Params
			// 
			this.AcceptButton = this.btOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.CancelButton = this.Cancel;
			this.ClientSize = new System.Drawing.Size(428, 118);
			this.Controls.Add(this.Cancel);
			this.Controls.Add(this.btOK);
			this.Controls.Add(this.gbParams);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "MT_Params";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Middle-Tier Parameters";
			this.gbParams.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion
		#endregion
		#region Component
		private void btFolder_Click(object sender, System.EventArgs e)
		{
			FolderBrowserDialog fb = new FolderBrowserDialog();
			fb.ShowNewFolderButton = true;
			fb.SelectedPath        = lblFolder.Text;
			if ( fb.ShowDialog() == DialogResult.OK )
			{
				lblFolder.Text = fb.SelectedPath;
			}
		}		
		private void btOK_Click(object sender, System.EventArgs e)
		{
			this.m_SelectedPath = lblFolder.Text;
			this.DialogResult   = DialogResult.OK;
			Close();
		}
		private void cbOverwrite_CheckedChanged(object sender, System.EventArgs e)
		{
			m_Overwrite = cbOverwrite.Checked;		
		}
		#endregion
		#region Properties
		private string m_SelectedPath;
		private bool   m_Overwrite;
	
		public string SelectedPath
		{
			get
			{
				return m_SelectedPath;
			}
		}
		public bool OverwriteFiles
		{
			get
			{
				return m_Overwrite;
			}
		}
		#endregion
	}
}
